Enhavo
Indekso 🔎︎

# Atn Function

Trigonometria funkcio kiu liveras la arktangenton de numera esprimo. La livera valoro estas en la amplekso -Pi/2 to +Pi/2.

La arktangento estas la inverso de la tangento. La funkcio Atn liveras la angulon "Alfa", esprimitan en radianoj, de la tangento de tiu angulo. La funkcio ankaŭ povas liveri la angulon "Alfa" komparante la proporcion de la longo de la latero kontraŭ la angulo, al la longo de la latero apud la angulo (ne la hipotenuzo), en orta triangulo.

Atn(latero kontraŭ la angulo/latero apud la angulo)= Alfa

### Syntax:

            Atn (Number)

### Return value:

Duobla

### Parameters:

Number: Numera esprimo kiu reprezentas la proporcion de du lateroj de orta triangulo. La funkcio Atn liveras la korespondan angulon en radianoj (arktangento).

Por konverti radianoj al gradoj, multipliku radianojn per 180/pi.

gradoj=(radianoj*180)/pi

radianoj=(gradoj*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

## Error codes:

5 Nevalida procedurvoko

### Example:

            REM La jena ekzemplo kalkulas por orta triangulo
            REM la angulon Alfa de la tangento de la angulo Alfa:
            Sub ExampleAtn
            REM rondigita Pi = 3.14159 estas difinita konstanto
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Tajpu la longon de la latero apud la angulo: ","apuda")
                d2 = InputBox("Tajpu la longon de la latero kontraŭ la angulo: ","kontraŭa")
                Print "Angulo Alfa estas"; (atn (d2/d1) * 180 / Pi); " gradoj"
            End Sub